Subject: Pine, ispell integration

From: "John R. Violette" <[email-masked]>
Date: Wed, 9 Aug 1995 14:29:31 -0400 (EDT)

If anybody is interested I have integrated ispell into Pine as the 
primary spell checker (CTRL-T) using the suggestion in the FAQ that to 
make ispell work you define your alternate editor as ispell and then use 
the CTRL-_ key binding to invoke the spell checker.  What I did was strip 
down the function alt_editor() and call it ispell() and change the 
binding of CTRL-T to call ispell().  I then defined the SPELLER as isepll 
and took out a couple of things.  So far it will only compile as ispell - 
you don't have a choice during the make between ispell and spell.  Now you 
can have both an alternate editor and ispell and the user doesn't have 
to know how to invoke ispell.

If there is enough interest I will make the diffs into a patch and post 
it somewhere (suggestions ?) for anyone else who wants it.

BTW my system is HP-UX 9.01 7xx but it should work with any UNIX. 

It also works with the pico editor stand alone, as this is where the code 
was located. 
--
| John   R.   Violette |           Software Development         |
| B e l l       Canada | Voice: 905-577-6785  Fax: 905-577-4813 |
| Ontario Ops. Support |       E-Mail: [email-masked]      |